{ pkgs, ... }:
{
  home.packages = with pkgs; [
    babelfish
  ];

  programs.fish = {
    enable = true;

    rose-pine.enable = true;

    preferAbbrs = true;

    plugins = with pkgs.fishPlugins; [
      {
        name = "z";
        src = z;
      }
      {
        name = "Puffer Fish";
        src = puffer;
      }
      {
        name = "Sponge";
        src = sponge;
      }
      {
        name = "autopair.fish";
        src = autopair;
      }
    ];

    shellInit = # fish
      ''
        set -g fish_key_bindings fish_vi_key_bindings
      '';

    shellAbbrs = {
      cp = {
        position = "command";
        expansion = "cp -iv";
      };

      mkdir = {
        position = "command";
        expansion = "mkdir -pv";
      };

      mv = {
        position = "command";
        expansion = "mv -iv";
      };

      rm = {
        position = "command";
        expansion = "rm -r";
      };

      grep = {
        position = "command";
        expansion = "grep --color=auto";
      };
    };
  };
}
